# Fraud

## Overview

This page contains the API documentation for Fraud Submit transactions, in conjunction with FraudWatch. For more information regarding account access, navigate to the [Transaction API](/api/transaction.md) parent page.&#x20;

## Transactions

### Fraud Submit

<mark style="color:green;">`POST`</mark> `fraud:submit`

`xCommand` = `fraud:submit`

The Submit command is used in conjunction with a valid FraudWatch account to submit e-commerce transactions for a fraud verification check.

#### Request Body

| Name                                                | Type   | Description                                                                                                                                               |
| --------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| xCardNum<mark style="color:red;">\*</mark>          | String | Masked Card number with BIN and last 4 digits exposed                                                                                                     |
| xKey<mark style="color:red;">\*</mark>              | String | Your Sola API key.                                                                                                                                        |
| xVersion<mark style="color:red;">\*</mark>          | String | Gateway API version. The current version is 5.0.0.                                                                                                        |
| xSoftwareName<mark style="color:red;">\*</mark>     | String | Name of your software                                                                                                                                     |
| xSoftwareVersion<mark style="color:red;">\*</mark>  | String | Version number of your software                                                                                                                           |
| xCommand<mark style="color:red;">\*</mark>          | String | Sola transaction type                                                                                                                                     |
| xAmount<mark style="color:red;">\*</mark>           | String | The total amount of the transaction, inclusive of tax and tip if applicable. This the total amount of the transaction                                     |
| xCustom01                                           | String | 20 custom fields are available for custom data such as customer comments, etc. Use xCustom01 through xCustom20                                            |
| xInvoice<mark style="color:red;">\*</mark>          | String | The merchant’s invoice number for the transaction. xInvoice is recommended when available for improved duplicate handling                                 |
| xIP<mark style="color:red;">\*</mark>               | String | The customer’s IP address. Typically used for fraud detection                                                                                             |
| xEmail<mark style="color:red;">\*</mark>            | String | The customer’s email address                                                                                                                              |
| xBillFirstName<mark style="color:red;">\*</mark>    | String | The customer’s first name for their billing profile                                                                                                       |
| xBillLastName<mark style="color:red;">\*</mark>     | String | The customer’s last name for their billing profile                                                                                                        |
| xBillStreet<mark style="color:red;">\*</mark>       | String | The customer’s street address for their billing profile                                                                                                   |
| xBillCity<mark style="color:red;">\*</mark>         | String | The customer’s city for their billing profile                                                                                                             |
| xBillState<mark style="color:red;">\*</mark>        | String | The customer’s state for their billing profile                                                                                                            |
| xBillZip<mark style="color:red;">\*</mark>          | String | The customer’s zip code for their billing profile                                                                                                         |
| xBillPhone<mark style="color:red;">\*</mark>        | String | The customer’s phone number for their billing profile                                                                                                     |
| xShipFirstName<mark style="color:red;">\*</mark>    | String | The customer’s first name for their shipping profile                                                                                                      |
| xShipLastName<mark style="color:red;">\*</mark>     | String | The customer’s last/family name for their shipping profile                                                                                                |
| xShipStreet<mark style="color:red;">\*</mark>       | String | The customer’s street address for their shipping profile                                                                                                  |
| xShipCity<mark style="color:red;">\*</mark>         | String | The customer’s city for their shipping profile                                                                                                            |
| xShipState<mark style="color:red;">\*</mark>        | String | The customer’s state for their shipping profile                                                                                                           |
| xShipZip<mark style="color:red;">\*</mark>          | String | The customer’s zip code for their shipping profile                                                                                                        |
| xShipPhone<mark style="color:red;">\*</mark>        | String | The customer’s phone number for their shipping profile                                                                                                    |
| xGatewayRefNum<mark style="color:red;">\*</mark>    | String | Transaction RefNum received from gateway for FraudWatch verification                                                                                      |
| xGatewayResult<mark style="color:red;">\*</mark>    | String | Transaction status received from gateway for FraudWatch verification (Approved/Declined/Error)                                                            |
| xGatewayCVV<mark style="color:red;">\*</mark>       | String | CVV for FraudWatch verification                                                                                                                           |
| xGatewayAVS<mark style="color:red;">\*</mark>       | String | Street address for FraudWatch verification                                                                                                                |
| xOrderType<mark style="color:red;">\*</mark>        | String | Specifies if the order origin is internet OR phone for FraudWatch verification                                                                            |
| xExistingCustomer<mark style="color:red;">\*</mark> | String | Yes/No value indicating if the customer is a repeat customer                                                                                              |
| xShipEmail<mark style="color:red;">\*</mark>        | String | The ShipTo email address                                                                                                                                  |
| xOrderID                                            | String | Unique order number for FraudWatch verification                                                                                                           |
| xExistingCustomer                                   | String | Yes/No value indicating if customer is a repeat customer                                                                                                  |
| xAllowDuplicate                                     | String | By default, Sola rejects duplicate transactions within 10 minutes of the original transaction. This command overrides that safeguard. True/False allowed. |
| xName                                               | String | The cardholder’s name                                                                                                                                     |
| xTax                                                | String | The tax portion that is included in the total transaction amount (xAmount)                                                                                |
| xTip                                                | String | The tip portion that is included in the total transaction amount (xAmount)                                                                                |
| xPONum                                              | String | The merchant’s purchase order number for the transaction                                                                                                  |
| xDescription                                        | String | Additional data that is optionally passed along for reporting                                                                                             |
| xShipMiddleName                                     | String | The customer’s middle name for their shipping profile                                                                                                     |
| xBillMiddleName                                     | String | The customer’s middle name for their billing profile                                                                                                      |
| xBillStreet2                                        | String | The customer’s second line street address for their billing profile                                                                                       |
| xShipStreet2                                        | String | The customer’s second line street address for their shipping profile                                                                                      |
| xShipCountry                                        | String | The customer's country code for their shipping profile                                                                                                    |
| xBillCountry                                        | String | The custom's country code for their billing profile                                                                                                       |
| xBillMobile                                         | String | The customer’s mobile phone number for their billing profile                                                                                              |
| xGatewayError                                       | String | Transaction RefNum received from gateway for FraudWatch verification                                                                                      |
| xComments                                           | String | Additional data that is optionally passed along to the receipt                                                                                            |
| xFax                                                | String | The customer’s fax number.                                                                                                                                |
| xOrderItems                                         | String | Summary of products ordered                                                                                                                               |
| xCustomerComments                                   | String | Comments submitted by customer along with order                                                                                                           |
| xShipMethod                                         | String | The shipping carrier/service used                                                                                                                         |
| xShipAmount                                         | String | The total cost of shipping charges                                                                                                                        |

{% code title="Fraud Submit - Request Payload Example" %}

```json
{ 
    "xCardNum": "4444333322221111", 
    "xKey": "[xkeycredentials]", 
    "xVersion": "4.5.9", 
    "xSoftwareName": "YourSoftwareName", 
    "xSoftwareVersion": "1.0.0", 
    "xCommand": "fraud:submit", 
    "xToken": "61h72mmh68phn9q233634ph3g54p1499m69qhp4816pn528h84", 
    "xCustom01": "Register01", 
    "xExp": "12/25", 
    "xCVV": "945", 
    "xStreet": "123 Any Street Apt 4b Anytown, NY", 
    "xZip": "12345", 
    "xMagstripe": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;4444333322221111=4912101123456789?", 
    "xName": "John Doe", 
    "xAuthCode": "T4321A", 
    "xDUKPT": "%B4444333322221111^TEST CARD/VISA^4912101123456789?;444433", 
    "xTax": "2.00", 
    "xTip": "2.00", 
    "xRefNum": "81234568", 
    "xInvoice": "123456A", 
    "xPONum": "123456B", 
    "xComments": "This is a comment", 
    "xDescription": "This is a description", 
    "xIP": "1.2.3.4", 
    "xEmail": "text@example.com", 
    "xFax": "1234567890", 
    "xBillFirstName": "John", 
    "xBillMiddleName": "Max", 
    "xBillLastName": "Doe", 
    "xBillCompany": "Acme", 
    "xBillStreet": "123 Any Street", 
    "xBillStreet2": "Apt 4b", 
    "xBillCity": "Anytown", 
    "xBillState": "NY", 
    "xBillZip": "12345", 
    "xBillCountry": "USA", 
    "xBillPhone": "8005551212", 
    "xBillMobile": "8005551111", 
    "xShipFirstName": "John", 
    "xShipMiddleName": "Max", 
    "xShipLastName": "Doe", 
    "xShipCompany": "Acme", 
    "xShipStreet": "123 Any Street", 
    "xShipStreet2": "Apt 4b", 
    "xShipCity": "Anytown", 
    "xShipState": "NY", 
    "xShipZip": "12345", 
    "xShipCountry": "USA", 
    "xShipPhone": "8005551212", 
    "xShipMobile": "8005551111", 
    "xMICR": "t021000021t 123456789o _2542", 
    "xRouting": "021202337", 
    "xGatewayRefNum": "852585258", 
    "xGatewayResult": "Approved", 
    "xGatewayError": "845455484", 
    "xGatewayCVV": "M", 
    "xGatewayAVS": "YYY", 
    "xOrderType": "Internet", 
    "xOrderID": "12356", 
    "xExistingCustomer": "TRUE", 
    "xOrderItems": "Sony Digital Camera", 
    "xCustomerComments": "Please ship as soon as possible", 
    "xShipMethod": "UPS Ground", 
    "xShipAmount": "29.99", 
    "xShipEmail": "text@example.com", 
    "xAllowDuplicate": "TRUE" 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solapayments.com/api/transaction/fraud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
